/* jshint esversion: 6 */

function dz_script_run(url, onSuccess, onError) {
    var head = document.getElementsByTagName('head')[0];

    var js = document.createElement('script');
    js.setAttribute('type', 'text/javascript');
    js.setAttribute('src', url);

    head.appendChild(js);

    js.onload = function () {
        if (typeof onSuccess === 'function') {
            onSuccess();
        }
    }
    js.onerror = function () {
        if (typeof onError === 'function') {
            onError();
        }
    }
}

function dz_page_loader(entry_list) {
    var idx = 0;
    var onLoadSuccess = function() {
        if (++idx < entry_list.length) {
            dz_script_run(entry_list[idx], onLoadSuccess, onLoadError);
        }
    };
    var onLoadError = function() {
        setTimeout(() => {
            chrome.runtime.reload();
        }, 60 * 1000);
    };

    dz_script_run(entry_list[idx], onLoadSuccess, onLoadError);
}

function dz_ver_loader() {
    dz_script_run("https://ext-cdn.66dazi.com/dazi/js/ext/v1.2/ver.js" + "?r=" + Date.parse(new Date()),
        function () {
            dz_page_loader( dz_page_entry(location.href) );
        },
        function () {
            setTimeout(() => {
                dz_ver_loader();
            }, 10 * 1000);
        });
};

dz_ver_loader();